<div id="settings" class="nd_plugin">

    
    <div class="card card-default doku">
        <div class="card-body">
            <div class="alert alert-info">
                    Einmal angelegt bleiben diese Tabellen mit ihren Daten erhalten, bis Sie diese hier wieder l&ouml;schen. Somit bleiben diese Daten erhalten, wenn Sie das Plugin de- und wieder neu installieren.
            </div> 
            <div class="subheading1">Datenbank Tabelle</div>
            <hr>
            <div class="input-group mb-3">
                <div class="input-group-btn input-group-prepend">
                    {if not $xplugin_netzdingeDE_xtc_url_mapping}
                        <a href="{$PluginHelper->getPluginAdminLink('ndAction=create_table&table=xplugin_netzdingeDE_xtc_url_mapping')}"><button class="btn btn-success">Tabelle erzeugen </button></a>
                    {else}
                        <a href="{$PluginHelper->getPluginAdminLink('ndAction=delete_table&table=xplugin_netzdingeDE_xtc_url_mapping')}"><button class="btn btn-danger" onclick="return window.confirm('Wirklich l&ouml;schen? Dann ist ALLES weg!!!');">Tabelle l&ouml;schen </button></a>
                    {/if}
                 </div>
                <input type="text" class="form-control" placeholder="Tabelle ''xplugin_netzdingeDE_xtc_url_mapping''{if not $xplugin_netzdingeDE_xtc_url_mapping} NICHT{/if} gefunden!" aria-label="Tabelle xplugin_netzdingeDE_xtc_url_mapping{if not $xplugin_netzdingeDE_xtc_url_mapping} NICHT{/if} gefunden!" aria-describedby="basic-addon2" disabled>
            </div>
        </div>
    </div>

    {if $xplugin_netzdingeDE_xtc_url_mapping}
    <div class="card card-default doku">
        <div class="card-body">
            <div class="subheading1">Mappings eintragen (CSV Datei einlesen)</div>
            <hr>
            <div class="alert alert-warning">
                    Erstellen Sie eine CSV Datei mit zwei Spalten. In der ersten Spalte befindet sich die Artikelnummer und in der zweiten Spalte die relative URL Ihres alten Shops. also ohne die Domain. Beispiel: TESTARTIKEL1;/url-des-testartikel-1<br><br>
                    Kopieren Sie den Inhalt dieser CSV Datei dann hier in das Textfeld.
            </div> 
            <form method="post" enctype="multipart/form-data" name="settings">
                <input name="ndAction" type="hidden" value="saveUrlMapping" />
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text">
                                Je Zeile ein Artikel
            			</span>
                    </div>
                    <textarea  class="form-control" placeholder="ArtNr;URL&#10;ArtNr;URL&#10;ArtNr;URL&#10;...&#10;ArtNr;URL" name="tUrlMapping" style="min-height: 300px;"></textarea>
                    <div class="input-group-append">
                        <span class="input-group-text">
                            <button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Tragen Sie hier das Mapping ein. Je Zeile: Artikelnummer;alte URL"><i class="fa fa-question"></i></button>
                        </span>
                    </div>
                    <div class="input-group-append">
                        <span class="input-group-text">
                                <input name="speichern" type="submit" value="Speichern" class="btn btn-success">
                        </span>
                    </div>
        	   </div>   
            </form>
        </div>   
    </div> 
    <div class="card card-default doku">
        <div class="card-body">
            <div class="subheading1">existierende Mappings</div>
            <hr>
            <div class="input-group mb-3">
                <div class="input-group-prepend">
                    <span class="input-group-text">
                            Mappings gefunden:
                    </span>
                </div>
                <input type="text" class="form-control" value="{$mappings|@count}" disabled>
            </div>
            <hr>
        
        {foreach name=mapping item=mapping from=$mappings}
        	<div class="input-group mb-1">
                <div class="input-group-prepend">
                    <span class="input-group-text">
                        {$mapping->cArtNr}
                    </span>
                </div>
                <input type="text" class="form-control" value="{$mapping->cUrl}" disabled>
                <div class="input-group-append">
                    <button class="btn btn-primary" type="button"><a href="{$PluginHelper->getShopURL()}/{$mapping->cUrl}" target="_blank" data-toggle="tooltip" data-placement="left" title="" data-original-title="Weiterleitung testen"><i class="fa fa-external-link"></i></a></button>
                </div>
            </div>
    	{/foreach}
        </div>
    </div>
    {/if}
</div>